build:
  stage: build

  image: docker:stable

  services:
    - docker:dind

  # Hack: https://gitlab.com/gitlab-org/gitlab-runner/issues/1809#note_99891354
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - export IMAGE_TAG=$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
    - export RELEASE_TAG=$CI_REGISTRY_IMAGE:latest

  script:
    - echo docker build --pull -t $IMAGE_TAG -t $RELEASE_TAG .
    - docker build --pull -t $IMAGE_TAG -t $RELEASE_TAG .
    - docker push $RELEASE_TAG
